import request from '@/utils/request'

// 获取列表
export function getList(data) {
  return request({
    url: '/version/getversionlist',
    method: 'Get',
    params: data
  })
}

// 上传新版本
export function uploadVersion(data) {
  return request({
    url: '/version/uploadversion',
    method: 'post',
    data
  })
}

// 修改新版本
export function editVersion(data) {
  return request({
    url: '/version/updateversion',
    method: 'post',
    data
  })
}

// 版本上线
export function upVersion(data) {
  return request({
    url: '/version/setversiontop',
    method: 'post',
    data
  })
}

// 删除
export function deleteVersion(data) {
  return request({
    url: '/version/destoryversion',
    method: 'post',
    data
  })
}
